
import java.io.Console;


public class mdAddressGeoSample 
{ 

	public static void main(String[] args)
	{
		// Enter Customer ID Here
		String CUSTOMER_ID = "Enter CustomerID Here";
		
		System.out.println("===========================================");
		System.out.println("Address Check");
		System.out.println("===========================================");
		
		mdAddressCheck addSample = new mdAddressCheck();
		
		addSample.setCustomerID(CUSTOMER_ID); 
		
		// First Address
		addSample.clearProperties();
		addSample.initialize();
		addSample.setCompany("");
		addSample.setAddress1("1740 Interlachen Rd");
		addSample.setCity("Seal Beach");
		addSample.setState("CA");
		addSample.setZip("");
		addSample.setLastName("Albert");
		addSample.insertRecord(1);
		
	
		// Second Address
		addSample.clearProperties();
		addSample.setCompany("Melissa Data");
		addSample.setAddress1("4428 RUE SAINT-FELIX");
		addSample.setCity("CAP-ROUGE");
		addSample.setState("QC");
		addSample.setZip("G1Y 3A7");
		addSample.insertRecord(2);
		

		// Perform address check
		addSample.doAddressCheck();
		
		System.out.println("");
		System.out.println("===========================================");
		System.out.println("Geo Coder");
		System.out.println("===========================================");
		
		mdGeoCode geoSample = new mdGeoCode();
		
		geoSample.setCustomerID(CUSTOMER_ID);
		
		geoSample.initialize();
		
		for(int i = 0; i < addSample.resArray.length; i++)
		{
			// Set the address key to the record
			geoSample.setAddressKey(addSample.resArray[i].getAddress().getAddressKey());
			
			// Insert the record
			geoSample.insertRecord(i);
		}
		
		
		geoSample.doGeoCode();
		
	}

	
	
}